
From: Peter Missel <peter.missel@onlinehome.de>

Add device table support for the LR214WF card.

The driver will say it's a FlyTV, simply because the name strings are
stored with the card design data, not the device ID data.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/saa7134/saa7134-cards.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletion(-)

diff -puN drivers/media/video/saa7134/saa7134-cards.c~saa7134-add-oem-version-of-already-supported-card drivers/media/video/saa7134/saa7134-cards.c
--- 25/drivers/media/video/saa7134/saa7134-cards.c~saa7134-add-oem-version-of-already-supported-card	2005-04-12 21:54:08.656717760 -0700
+++ 25-akpm/drivers/media/video/saa7134/saa7134-cards.c	2005-04-12 21:54:08.662716848 -0700
@@ -1628,11 +1628,17 @@ struct pci_device_id saa7134_pci_tbl[] =
         },{
 		.vendor       = PCI_VENDOR_ID_PHILIPS,
 		.device       = PCI_DEVICE_ID_PHILIPS_SAA7133,
-		.subvendor    = 0x5168,
+		.subvendor    = 0x5168,	/* Animation Technologies (LifeView) */
 		.subdevice    = 0x0214, /* Standard PCI, LR214WF */
 		.driver_data  = SAA7134_BOARD_FLYTVPLATINUM_FM,
         },{
 		.vendor       = PCI_VENDOR_ID_PHILIPS,
+		.device       = PCI_DEVICE_ID_PHILIPS_SAA7133,
+		.subvendor    = 0x1489, /* KYE */
+		.subdevice    = 0x0214, /* Genius VideoWonder ProTV */
+		.driver_data  = SAA7134_BOARD_FLYTVPLATINUM_FM, /* is an LR214WF actually */
+        },{
+		.vendor       = PCI_VENDOR_ID_PHILIPS,
 		.device       = PCI_DEVICE_ID_PHILIPS_SAA7134,
 		.subvendor    = 0x16be,
 		.subdevice    = 0x0003,
_
